// pages/mysuggest/mysuggest.js
import { get,post } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    windowh: app.globalData.windowh, 
    value:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {  
    this.setData(stylemap);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  getSuggestValue:function(e){
    var value = e.detail.value;
    this.setData({value:value});
  },
  subSuggest:function(){
    if(this.data.value){
      post(pathmap.feedback,{
        content:this.data.value
      },function(json){
        if(json.statusCode!=200){
          wx.showToast({
            title:json.data.message,
            icon:"none"
          });
        }else{
          wx.showToast({
            title:json.data.message
          })
          wx.navigateBack();
        }
      })
    }else{
      wx.showToast({
        title:"内容不能为空哦！",
        icon:"none"
      })
    }
  }
})